_fixed Union Reference

`#include <gbdk-lib/include/asm/types.h>`

## Data Fields

struct {
UBYTE l
UBYTE h
}; |
struct {
UBYTE l
UBYTE h
} | b
UWORD | w

## Detailed Description

Useful definition for working with 8 bit + 8 bit fixed point values

Use `.w` to access the variable as unsigned 16 bit type.

Use `.b.h` and `.b.l` (or just `.h` and `.l`) to directly access it's high and low unsigned 8 bit values.

## Field Documentation

## l

UBYTE _fixed::l

## h

UBYTE _fixed::h

##

struct { ... } _fixed::@1

##

struct { ... } _fixed::b

## w

UWORD _fixed::w

The documentation for this union was generated from the following file:

- gbdk-lib/include/asm/types.h